﻿@using Jumbula.Common.Constants
@using Jumbula.Common.Helper
@using Jumbula.Core.Domain
@model CalendarBodyViewModel

@{
    string scheduleClass = "";
}

<div id="programSchedules">
    <div class="program-section-title-bg full-width">
        <h2 class="program-section-title jbi-calendar">Schedules</h2>
    </div>
    <div class="clearfix"></div>
    <div class="program-section-container program-schedule-accordion full-width">
        @foreach (var schedule in Model.Schedules)
        {
            if (schedule.RegStatus == ProgramRegStatus.Closed)
            {
                scheduleClass = "expired";
            }
            else if (schedule.RegStatus == ProgramRegStatus.Open)
            {
                scheduleClass = "open";
            }
            else if (schedule.RegStatus == ProgramRegStatus.NotStarted)
            {
                scheduleClass = "will-open";
            }
            <h3 class="@scheduleClass">
                <span>@string.Format("{0}({1} - {2})", schedule.Title, schedule.StartDate.Value.ToString(Constants.DefaultDateFormat), schedule.EndDate.Value.ToString(Constants.DefaultDateFormat))</span>
            </h3>
            <div class="accordion-content">
            
                    <div class="tuitions">
                        <div class="clearfix"></div>
                        @foreach (var charge in schedule.Prices)
                        {
                            <div class="tuition">
                                <span class="tuition-label ellipsis" title="@charge.Name">
                                    @charge.Name
                                    @if (!string.IsNullOrEmpty(charge.Description))
                                    {
                                        <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@charge.Description"></a>
                                    }
                                </span>

                                <div class="clearfix"></div>
                            </div>
                        }
                        <div class="clearfix"></div>
                    </div>
          

                <ul class="days">
                    @{Html.RenderPartial("_ProgramDailyChart", schedule.RecurrenceTime.Days);}
                </ul>
            </div>
        }

    </div>
    <div class="clearfix"></div>
</div>

<!---->

@{
    var firstSchedule = Model.Schedules.FirstOrDefault();
}

<div class="program-section-title-bg">
    <h2 class="program-section-title jbi-clock">Registration period</h2>
</div>
<div id="registrationPeriod" class="section-indent clearfix">
    Registration for this program starts on @firstSchedule.RegistrationPeriod.RegisterStartDate.Value.ToString(Constants.DefaultDateFormat) and ends on @Model.Schedules.Max(s => s.EndDate).Value.ToString(Constants.DefaultDateFormat).
</div>
<div class="program-section-title-bg">
    <h2 class="program-section-title jbi-pie">Restrictions</h2>
</div>
<div id="restrictions" class="section-indent">
    @switch (firstSchedule.Restrict.RestrictionType)
    {
        case RestrictionType.Age:
            {
                <p class="jbi-graduation-cap">
                    @Model.AgeRestrictionMessage
                </p>
                break;
            }
        case RestrictionType.Grade:
            {
                <p class="jbi-graduation-cap">
                    @firstSchedule.GradeRestrictionMessage
                </p>
                break;
            }
    }
    <p class="jbi-gender">@firstSchedule.Restrict.Gender.ToDescription()</p>
</div>

<!---->

<div class="program-section-title-bg">
    <h2 class="program-section-title jbi-map-pin">Location</h2>
</div>
<div id="location" class="section-indent clearfix">
    <address>@Model.Address.Address <a data-target="#MapModal" data-toggle="modal" href="#" class="show-map" aria-hidden="True"> (show map)</a></address>
</div>
@if ((!string.IsNullOrEmpty(Model.Description)))
{
    <div id="programDiscriptions">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-note-paper">Description</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container">
            <div class="program-desc-box">
                <p itemprop="description">
                    @Html.Raw(Model.Description.Replace("\n", "<br>").Replace("\r", "<br>"))
                </p>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
}
